﻿<%@ Page masterpagefile="Storeholmen.master" language="VB" title="FasiliteterAktiviteterKontakt os" %>
<asp:Content id="Content1" runat="server" contentplaceholderid="innhold">

				<h1>Påmelding til leir</h1>
				<p>
				<asp:DetailsView runat="server" Width="294px" Height="50px" id="DetailsView1" AutoGenerateRows="False" DataSourceID="SqlDataSource1" DataKeyNames="Kundenr" DefaultMode="Insert">
					<Fields>
						<asp:boundfield ReadOnly="True" DataField="Kundenr" InsertVisible="False" SortExpression="Kundenr" HeaderText="Kundenr">
						</asp:boundfield>
						<asp:boundfield DataField="Fornavn" SortExpression="Fornavn" HeaderText="Fornavn">
						</asp:boundfield>
						<asp:boundfield DataField="Etternavn" SortExpression="Etternavn" HeaderText="Etternavn">
						</asp:boundfield>
						<asp:boundfield DataField="Født" SortExpression="Født" HeaderText="Født">
						</asp:boundfield>
						<asp:boundfield DataField="Foresatt" SortExpression="Foresatt" HeaderText="Foresatt">
						</asp:boundfield>
						<asp:boundfield DataField="Adresse1" SortExpression="Adresse1" HeaderText="Adresse1">
						</asp:boundfield>
						<asp:boundfield DataField="Adresse2" SortExpression="Adresse2" HeaderText="Adresse2">
						</asp:boundfield>
						<asp:boundfield DataField="Tlf" SortExpression="Tlf" HeaderText="Tlf">
						</asp:boundfield>
						<asp:boundfield DataField="Email" SortExpression="Email" HeaderText="Email">
						</asp:boundfield>
						<asp:templatefield SortExpression="LeirID" HeaderText="Leir">
							<EditItemTemplate>
								<asp:TextBox runat="server" Text='<%# Bind("LeirID") %>' id="TextBox1">
								</asp:TextBox>
							</EditItemTemplate>
							<InsertItemTemplate>
								<asp:DropDownList runat="server" id="ddlLeir" DataSourceID="SqlDataSource2" DataTextField="Leir" DataValueField="LeirID" SelectedValue='<%# Bind("LeirID") %>'>
								</asp:DropDownList>
							</InsertItemTemplate>
							<ItemTemplate>
								<asp:Label runat="server" Text='<%# Bind("LeirID") %>' id="Label1">
								</asp:Label>
							</ItemTemplate>
						</asp:templatefield>
						<asp:commandfield ShowInsertButton="True">
						</asp:commandfield>
					</Fields>
				</asp:DetailsView>
				<asp:SqlDataSource runat="server" id="SqlDataSource2" ConnectionString="<%$ ConnectionStrings:StoreholmenConnectionString1 %>" ProviderName="<%$ ConnectionStrings:StoreholmenConnectionString1.ProviderName %>" SelectCommand="SELECT Leir.LeirID, [Leirdato] & ' ' & [Beskrivelse] AS leir FROM Aldersgruppe INNER JOIN Leir ON Aldersgruppe.AldersgruppeID = Leir.AldersgruppeID WHERE Leir.LeirDato&gt;=Date();">
					
				</asp:SqlDataSource>
				<asp:SqlDataSource runat="server" id="SqlDataSource1" DeleteCommand="DELETE FROM [Deltaker] WHERE [Kundenr] = ?" ConnectionString="<%$ ConnectionStrings:StoreholmenConnectionString1 %>" InsertCommand="INSERT INTO [Deltaker] ([Fornavn], [Etternavn], [Født], [Foresatt], [Adresse1], [Adresse2], [Tlf], [Email], [LeirID]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)" ProviderName="<%$ ConnectionStrings:StoreholmenConnectionString1.ProviderName %>" UpdateCommand="UPDATE [Deltaker] SET [Fornavn] = ?, [Etternavn] = ?, [Født] = ?, [Foresatt] = ?, [Adresse1] = ?, [Adresse2] = ?, [Tlf] = ?, [Email] = ?, [LeirID] = ? WHERE [Kundenr] = ?" SelectCommand="SELECT * FROM [Deltaker]">
					<DeleteParameters>
						<asp:parameter Type="Int32" Name="Kundenr" />
					</DeleteParameters>
					<UpdateParameters>
						<asp:parameter Type="String" Name="Fornavn" />
						<asp:parameter Type="String" Name="Etternavn" />
						<asp:parameter Type="DateTime" Name="Født" />
						<asp:parameter Type="String" Name="Foresatt" />
						<asp:parameter Type="String" Name="Adresse1" />
						<asp:parameter Type="String" Name="Adresse2" />
						<asp:parameter Type="String" Name="Tlf" />
						<asp:parameter Type="String" Name="Email" />
						<asp:parameter Type="Int32" Name="LeirID" />
						<asp:parameter Type="Int32" Name="Kundenr" />
					</UpdateParameters>
					<InsertParameters>
						<asp:parameter Type="String" Name="Fornavn" />
						<asp:parameter Type="String" Name="Etternavn" />
						<asp:parameter Type="DateTime" Name="Født" />
						<asp:parameter Type="String" Name="Foresatt" />
						<asp:parameter Type="String" Name="Adresse1" />
						<asp:parameter Type="String" Name="Adresse2" />
						<asp:parameter Type="String" Name="Tlf" />
						<asp:parameter Type="String" Name="Email" />
						<asp:parameter Type="Int32" Name="LeirID" />
					</InsertParameters>
				</asp:SqlDataSource>
	</p>
			
</asp:Content>
